//Ex6_19.cpp
#include "iostream" 
using namespace std;
class Test 
{private: 
    int x; 
 public: 
    Test(int x1=0) 
	{x=x1;} 
    void show() 
	{cout<<"x="<<x<<endl; 
     cout<<"this->x="<<this->x<<endl; 
     cout<<"(*this).x="<<(*this).x<<endl; 
	} 
}; 
void main() 
{Test a(3); 
 a.show(); 
}
